Check that non-cookie website data gets removed after a navigation with link decoration from a prevalent resource.

Before deletion: Client-side cookie exists.
Before deletion: HttpOnly cookie exists.
Before deletion: Regular server-side cookie exists.
Before deletion: LocalStorage entry does exist.
Before deletion: IDB entry does exist.

After deletion: HttpOnly cookie exists.
After deletion: Client-side cookie exists.
After deletion: Regular server-side cookie exists.
After deletion: LocalStorage entry does not exist.
After deletion: IDB entry does not exist.


Resource load statistics:

Registrable domain: localhost
    lastSeen: 0
    hadUserInteraction: No
    mostRecentUserInteraction: -1
    grandfathered: No
    gotLinkDecorationFromPrevalentResource: No    isPrevalentResource: Yes
    isVeryPrevalentResource: No
    dataRecordsRemoved: 0
Registrable domain: 127.0.0.1
    lastSeen: 0
    hadUserInteraction: No
    mostRecentUserInteraction: -1
    grandfathered: No
    topFrameLinkDecorationsFrom:
        localhost
    gotLinkDecorationFromPrevalentResource: No    isPrevalentResource: No
    isVeryPrevalentResource: No
    dataRecordsRemoved: 1
